#! /bin/sh
#
# Copyright 1999 Intel Corporation All Rights Reserved.
# 
# 
# This software and the related documents are Intel copyrighted materials, and your use of them is governed by
# the express license under which they were provided to you ('License'). Unless the License provides otherwise,
# you may not use, modify, copy, publish, distribute, disclose or transmit this software or the related
# documents without Intel's prior written permission.
# This software and the related documents are provided as is, with no express or implied warranties, other than
# those that are expressly stated in the License.
#

if [ -z "${SETVARS_CALL:-}" ] ; then
  >&2 echo " "
  >&2 echo ":: ERROR: This script must be sourced by setvars.sh."
  >&2 echo "   Try 'source <install-dir>/setvars.sh --help' for help."
  >&2 echo " "
  return 255
fi

if [ -z "${ONEAPI_ROOT:-}" ] ; then
  >&2 echo " "
  >&2 echo ":: ERROR: This script requires that the ONEAPI_ROOT env variable is set."
  >&2 echo "   Try 'source <install-dir>/setvars.sh --help' for help."
  >&2 echo " "
  return 254
fi

# ############################################################################

IPPROOT=${ONEAPI_ROOT} ; export IPPROOT
IPP_VERSION=2021.10.0 ; export IPP_VERSION
IPP_TARGET_ARCH=${INTEL_TARGET_ARCH:-} ; export IPP_TARGET_ARCH
